## org.eclipse.emf.codegen.ecore.ui
Class EmptyProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.codegen.ecore.ui.EmptyProjectWizard

All Implemented Interfaces:
  IWizard, INewWizard, IWorkbenchWizard

    public class EmptyProjectWizard

extends Wizard
implements INewWizard

Since:
  2.1.0

Field Summary
`protected IPath` `genModelContainerPath`
`protected IPath` `genModelProjectLocation`
`protected java.lang.String` `initialProjectName`
`protected IProject` `project`
`protected IWorkbench` `workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EmptyProjectWizard()`

Method Summary
`void` `addPages()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`boolean` `performFinish()`
`void` `setInitialProjectName(java.lang.String value)`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### workbench

    protected IWorkbench workbench

### genModelProjectLocation

    protected IPath genModelProjectLocation

### genModelContainerPath

    protected IPath genModelContainerPath

### project

    protected IProject project

### initialProjectName

    protected java.lang.String initialProjectName

Constructor Detail

### EmptyProjectWizard

    public EmptyProjectWizard()

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  Specified by:
    `init` in interface `IWorkbenchWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

### setInitialProjectName

    public void setInitialProjectName(java.lang.String value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.